# Class Frame

Class Frame

Frames are just a low level lump of continous memory, most parts are opaque. Frames are memory sensitive, they will be small constant sized structures which can be efficently managed in a pool.

Declaration :

- C++ : class Frame

Relation <directional aggregation>

Declaration :

- Uml : # : FrameDescriptor, multiplicity : *
- C++ : protected: <FrameDescriptor *>

Relation <directional aggregation>

Declaration :

- Uml : # : FrameDescriptor
- C++ : protected: FrameDescriptor *

Relation <aggregation>

Declaration :

- Uml : # : FrameDescriptor
- C++ : protected: FrameDescriptor *

Relation <directional aggregation>

Declaration :

- Uml : # : FrameDescriptor
- C++ : protected: FrameDescriptor *

Relation <directional aggregation>

Declaration :

- Uml : # : FrameDescriptor
- C++ : protected: FrameDescriptor *

Relation descriptor (<directional aggregation>)

Declaration :

- Uml : # descriptor : FrameDescriptor
- C++ : protected: FrameDescriptor * descriptor

Relation <association>

Declaration :

- Uml : # : FileMapCache
- C++ : protected: FileMapCache *

Relation mapping (<aggregation>)

Declaration :

- Uml : - mapping : FileMap, multiplicity : 1
- C++ : private: FileMap * mapping

Relation <aggregation>

Declaration :

- Uml : # : WriteBuffer
- C++ : protected: WriteBuffer*

Relation <association>

Declaration :

- Uml : # write_buffer : WriteBuffer, multiplicity : 0..1
- C++ : protected: WriteBuffer* write_buffer